> ## Documentation Index > Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt > Use this file to discover all available pages before exploring further. # /v1/diagnostic/packetcapture/{pcapId} > get a packet capture ## OpenAPI ````json GET /v1/diagnostic/packetcapture/{pcapId} { "openapi": "3.0.0", "info": { "title": "Graphiant APIs", "version": "1.0.0", "description": "Graphiant API documentation." }, "servers": [ { "url": "https://api.graphiant.com" } ], "security": [ { "jwtAuth": [] } ], "tags": [], "paths": { "/v1/diagnostic/packetcapture/{pcapId}": { "get": { "security": [ { "jwtAuth": [] } ], "parameters": [ { "in": "header", "name": "Authorization", "required": true, "schema": { "type": "string" }, "description": "Bearer token. Format: Bearer " }, { "name": "pcapId", "in": "path", "required": true, "description": "Unique identifier for a specific packet capture", "schema": { "type": "integer", "format": "int64", "example": 1234567891011 }, "example": 1000000 } ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/v1DiagnosticPacketcapturePcapIdGetResponse" } } } } }, "description": "get a packet capture" } } }, "components": { "schemas": { "v1DiagnosticPacketcapturePcapIdGetResponse": { "type": "object", "properties": { "failureReason": { "type": "string", "example": "failed to access the cloud", "description": "Error message if the packet capture generation/upload failed" }, "fileName": { "type": "string", "example": "12000.tar.zst.gpg", "description": "The PCap file name." }, "status": { "type": "string", "example": "Uploaded", "description": "The status of the requested packet capture" }, "uploadProgress": { "type": "integer", "format": "int32", "example": 60, "minimum": 0, "description": "upload progress in percentage" }, "url": { "type": "string", "example": "graphiant.com/pcaps/134", "description": "The URL to download this packet capture." } }, "additionalProperties": false } }, "securitySchemes": { "jwtAuth": { "type": "apiKey", "in": "header", "name": "authorization", "description": "Use `Bearer `" } } } } ````